Package com.google.android.exoplayer2.offline

## Interface DownloadHelper.Callback

- Enclosing class:
    DownloadHelper

      public static interface DownloadHelper.Callback

  A callback to be notified when the `DownloadHelper` is prepared.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onPrepared​(DownloadHelper helper)` | Called when preparation completes.
    `void` | `onPrepareError​(DownloadHelper helper, IOException e)` | Called when preparation fails.

- - ### Method Detail

    - #### onPrepared

          void onPrepared​(DownloadHelper helper)

      Called when preparation completes.
      Parameters:
        `helper` - The reporting `DownloadHelper`.

    - #### onPrepareError

          void onPrepareError​(DownloadHelper helper,
                              IOException e)

      Called when preparation fails.
      Parameters:
        `helper` - The reporting `DownloadHelper`.
        `e` - The error.